- type = local_assigns.fetch(:type)
- hide_sort_dropdown = local_assigns.fetch(:hide_sort_dropdown, false)
- show_roadmap_presets = local_assigns.fetch(:show_roadmap_presets, false)
- full_path = @project.present? ? @project.full_path : @group.full_path
- preset_layout = params[:layout].present? ? params[:layout] : "MONTHS"
- is_quarters = preset_layout == "QUARTERS"
- is_months = preset_layout == "MONTHS"
- is_weeks = preset_layout == "WEEKS"

.epics-filters{ class: "#{'epics-roadmap-filters' if show_roadmap_presets}" }
  .d-flex.epics-details-filters.filtered-search-block.row-content-block.second-block
    - if show_roadmap_presets
      .btn-group.btn-group-toggle.append-right-default.js-btn-roadmap-presets{ data: { toggle: 'buttons' } }
        %label.btn.btn-default.btn-roadmap-preset{ class: ("active" if is_quarters) }
          %input{ type: 'radio', name: 'presetType', autocomplete: 'off', checked: ("checked" if is_quarters), value: 'QUARTERS' }
            = _('Quarters')
        %label.btn.btn-default.btn-roadmap-preset{ class: ("active" if is_months) }
          %input{ type: 'radio', name: 'presetType', autocomplete: 'off', checked: ("checked" if is_months), value: 'MONTHS' }
            = _('Months')
        %label.btn.btn-default.btn-roadmap-preset{ class: ("active" if is_weeks) }
          %input{ type: 'radio', name: 'presetType', autocomplete: 'off', checked: ("checked" if is_weeks), value: 'WEEKS' }
            = _('Weeks')
    = form_tag page_filter_path(without: [:author_id, :search]), method: :get, class: 'flex-fill filter-form js-filter-form' do
      - if params[:search].present?
        = hidden_field_tag :search, params[:search]
      .epics-other-filters.filtered-search-wrapper
        .filtered-search-box
          = dropdown_tag(custom_icon('icon_history'),
            options: { wrapper_class: "filtered-search-history-dropdown-wrapper",
            toggle_class: "filtered-search-history-dropdown-toggle-button",
            dropdown_class: "filtered-search-history-dropdown",
            content_class: "filtered-search-history-dropdown-content",
            title: "Recent searches" }) do
            .js-filtered-search-history-dropdown{ data: { full_path: full_path } }
          .filtered-search-box-input-container.droplab-dropdown
            .scroll-container
              %ul.tokens-container.list-unstyled
                %li.input-token
                  %input.form-control.filtered-search{ epic_endpoint_query_params(search_filter_input_options(type)) }
            #js-dropdown-hint.filtered-search-input-dropdown-menu.dropdown-menu.hint-dropdown
              %ul{ data: { dropdown: true } }
                %li.filter-dropdown-item{ data: { action: 'submit' } }
                  %button.btn.btn-link{ type: 'button' }
                    = icon('search')
                    %span
                      Press Enter or click to search
              %ul.filter-dropdown{ data: { dynamic: true, dropdown: true } }
                %li.filter-dropdown-item
                  %button.btn.btn-link{ type: 'button' }
                    -# Encapsulate static class name `{{icon}}` inside #{} to bypass
                    -# haml lint's ClassAttributeWithStaticValue
                    %i.fa{ class: "#{'{{icon}}'}" }
                    %span.js-filter-hint
                      {{hint}}
                    %span.js-filter-tag.dropdown-light-content
                      {{tag}}
            #js-dropdown-author.filtered-search-input-dropdown-menu.dropdown-menu
              - if current_user
                %ul{ data: { dropdown: true } }
                  = render 'shared/issuable/user_dropdown_item',
                    user: current_user
              %ul.filter-dropdown{ data: { dynamic: true, dropdown: true } }
                = render 'shared/issuable/user_dropdown_item',
                  user: User.new(username: '{{username}}', name: '{{name}}'),
                  avatar: { lazy: true, url: '{{avatar_url}}' }
            #js-dropdown-label.filtered-search-input-dropdown-menu.dropdown-menu
              %ul{ data: { dropdown: true } }
                %li.filter-dropdown-item{ data: { value: 'none' } }
                  %button.btn.btn-link{ type: 'button' }
                    = _("No Label")
                %li.divider.droplab-item-ignore
              %ul.filter-dropdown{ data: { dynamic: true, dropdown: true } }
                %li.filter-dropdown-item{ type: 'button' }
                  %button.btn.btn-link
                    %span.dropdown-label-box{ style: 'background: {{color}}' }
                    %span.label-title.js-data-value
                      {{ title }}

          %button.clear-search.hidden{ type: 'button' }
            = icon('times')
        - unless hide_sort_dropdown
          .filter-dropdown-container
            = render 'shared/epic/sort_dropdown'
